Package commoble.looot.loot

# Class ApplyFunctionsIfTagged.Serializer

java.lang.Object
net.minecraft.world.level.storage.loot.functions.LootItemConditionalFunction.Serializer<ApplyFunctionsIfTagged>
commoble.looot.loot.ApplyFunctionsIfTagged.Serializer

All Implemented Interfaces:
  `net.minecraft.world.level.storage.loot.Serializer<ApplyFunctionsIfTagged>`

Enclosing class:
  ApplyFunctionsIfTagged

public static class ApplyFunctionsIfTagged.Serializer extends net.minecraft.world.level.storage.loot.functions.LootItemConditionalFunction.Serializer<ApplyFunctionsIfTagged>

## Constructor Summary

Constructors
Constructor
Description
`Serializer()`

## Method Summary

Modifier and Type
Method
Description
`ApplyFunctionsIfTagged`
`deserialize(com.google.gson.JsonObject baseObject, com.google.gson.JsonDeserializationContext deserializationContext, net.minecraft.world.level.storage.loot.predicates.LootItemCondition[] conditions)`
`void`
`serialize(com.google.gson.JsonObject baseObject, ApplyFunctionsIfTagged applicator, com.google.gson.JsonSerializationContext serializationContext)`

### Methods inherited from class net.minecraft.world.level.storage.loot.functions.LootItemConditionalFunction.Serializer

`deserialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Serializer

public Serializer()

## Method Details

### serialize

public void serialize(com.google.gson.JsonObject baseObject, ApplyFunctionsIfTagged applicator, com.google.gson.JsonSerializationContext serializationContext)

Specified by:
  `serialize` in interface `net.minecraft.world.level.storage.loot.Serializer<ApplyFunctionsIfTagged>`
Overrides:
  `serialize` in class `net.minecraft.world.level.storage.loot.functions.LootItemConditionalFunction.Serializer<ApplyFunctionsIfTagged>`

### deserialize

public ApplyFunctionsIfTagged deserialize(com.google.gson.JsonObject baseObject, com.google.gson.JsonDeserializationContext deserializationContext, net.minecraft.world.level.storage.loot.predicates.LootItemCondition[] conditions)

Specified by:
  `deserialize` in class `net.minecraft.world.level.storage.loot.functions.LootItemConditionalFunction.Serializer<ApplyFunctionsIfTagged>`